Claim an exact-recipient advertiser invitation
curl --request POST \
--url https://api.interchange.io/api/v2/advertiser-invitations/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claimToken": "<string>",
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.interchange.io/api/v2/advertiser-invitations/claim"
payload = {
"claimToken": "<string>",
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({claimToken: '<string>', idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.interchange.io/api/v2/advertiser-invitations/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"admissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserId": "<string>",
"admissionState": "pending",
"claimState": "claimed",
"revision": "<string>"
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Claim an exact-recipient advertiser invitation
Claim a one-time invitation as the directly authenticated WorkOS user whose verified email exactly matches the recipient. Claiming does not approve Seller admission or grant account access.
POST
/
advertiser-invitations
/
claim
Claim an exact-recipient advertiser invitation
curl --request POST \
--url https://api.interchange.io/api/v2/advertiser-invitations/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claimToken": "<string>",
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.interchange.io/api/v2/advertiser-invitations/claim"
payload = {
"claimToken": "<string>",
"idempotencyKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({claimToken: '<string>', idempotencyKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.interchange.io/api/v2/advertiser-invitations/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"admissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"advertiserId": "<string>",
"admissionState": "pending",
"claimState": "claimed",
"revision": "<string>"
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json